Subject: Re: are -mno-cygwin dll possibles ?
From: [email-masked] (Earnie Boyd)

12 Nov 1998 16:52:14 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Guglielmo Pasa <[email-masked]>
Cc: cygwin users <[email-masked]>

Are you executing the programs via BASH?  non-cygwin programs started
from BASH must not have tty set in the CYGWIN variable.  If you have
tty set then the program will execute with no input/output being able
to happen.  If you remove it or specify notty then you should be able
to use the stdio via BASH.

cygwin and non-cygwin programs should be able to be run from the DOS
prompt without problems.

---Guglielmo Pasa <[email-masked]> wrote:
>
> Hi,
> I'm building a nrc.dll (from the numerical recipes in C book) and I'd
> like to know
> wether it would be possible to have a non-cygwin1.dll linked nrc.dll.
> 
> On the other hand I tried to build the first applications (flmoon,
> caldat, julday)
> but when I use the -mno-cygwin option they compile fine, but on
> launching nothing happens.
> Here attached is xflmoon which uses the flmoon function. When linked
> normally
> (without -mno-cygwin) it runs fine.
> 
> So anybody has an idea why this strange behaviour ?
> -- 
> Sincerely yours,
> 				Pasa Guglielmo
> ------------------------------------------------------------------
> ¦ homepage: http://www.omedia.ch/pages/gpasa/			 ¦
> ¦----------------------------------------------------------------¦
> ¦ e-mail  : [email-masked]       ¦  tel. :  +41 (0)24 485 50 40 ¦
> ¦ mailing : Pasa Guglielmo        ¦  fax  :  +41 (0)24 485 50 44 ¦
> ¦ 	    Rte des Cases 17A     ¦ 	  	  		 ¦	
> ¦ 	 CH-1890 St-Maurice       ¦  prof.: physicist		 ¦	
> ¦	    (Switzerland)         ¦				 ¦	
> ------------------------------------------------------------------
> 

==
-                  \\||//
-------------o0O0--Earnie--0O0o--------------
--          [email-masked]          --
-- http://www.freeyellow.com/members5/gw32 --
----------------ooo0O--O0ooo-----------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".